/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package internacionalizace18;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.text.Collator;
import java.text.DateFormat;
import java.text.NumberFormat;
import java.util.Arrays;
import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;
import java.util.Locale;
import java.util.Properties;
import java.util.ResourceBundle;
import java.util.TimeZone;
import java.util.logging.FileHandler;
import java.util.logging.Handler;
import java.util.logging.Level;
import java.util.logging.Logger;
import java.util.logging.SimpleFormatter;

/**
 *
 * @author bar
 */
public class Main {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        ResourceBundle resources = ResourceBundle.getBundle("internacionalizace18.Main");
        Properties properties = new Properties();
        File propFile = new File(System.getenv("MAIN_CONFIG_DIR")+"/default.properties");
        
        if(propFile.exists()){
            try {
                properties.load(new FileInputStream("default.properties"));
            } catch (IOException ex) {
                Logger.getLogger(Main.class.getName()).log(Level.SEVERE, null, ex);
            }
        }else{
            System.out.println("File not found:" + System.getenv("MAIN_CONFIG_DIR")+"/default.properties");
        }
        for(String key:properties.stringPropertyNames())
        {
            if(key instanceof String)
            {
                System.out.println(key +" = " + properties.getProperty(key));
            }
        }
        System.out.println(resources.getString("pozdrav"));
        double number = 1000001.55;
        NumberFormat formater = NumberFormat.getNumberInstance();
        System.out.println(Locale.getDefault()+": " + formater.format(number));
        /*for(Locale loc:Locale.getAvailableLocales())
        {
            System.out.println(loc +": " + NumberFormat.getNumberInstance(loc).format(number));
        }*/

        System.out.println(Locale.getDefault()+ ": " + NumberFormat.getCurrencyInstance().format(number));

        Date date = new Date();
        for(Locale loc:Locale.getAvailableLocales())
        {
            Calendar cal = new GregorianCalendar(TimeZone.getTimeZone("Europe/Prague"), loc);
            cal.set(2012,Calendar.DECEMBER,21,0,0,0);
            System.out.println(loc + ": " + DateFormat.getDateTimeInstance(DateFormat.SHORT,DateFormat.FULL,loc).format(cal.getTime()));
        }
        Collator csCol = Collator.getInstance();
        String names[] = new String[]{"Žofie","Adéla","Áda","Chrudoš","Cyril","Zdeněk"};
        Arrays.sort(names,csCol);
        System.out.println(Arrays.asList(names));

        Logger logger = Logger.getLogger(Main.class.getCanonicalName());
        
        try {
            Handler output = new FileHandler(properties.getProperty("logfile"));

            logger.addHandler(output);
            output.setFormatter(new SimpleFormatter());
        } catch (IOException ex) {
            Logger.getLogger(Main.class.getName()).log(Level.SEVERE, null, ex);
        } catch (SecurityException ex) {
            Logger.getLogger(Main.class.getName()).log(Level.SEVERE, null, ex);
        }
        try
        {
            System.out.println(names[names.length]);
        }catch(Exception ex){
            logger.log(Level.SEVERE,"Vyjimka:",ex);
        }
    }

}
